Đến nội dung


Hình ảnh
* * * - - 1 Bình chọn

[Đã xong] Tính tổng diện tích các hình trên bản vẽ, "Ed" vào text sẵn có


  • Please log in to reply
100 replies to this topic

#21 thonghoang1

thonghoang1

    biết vẽ polygon

  • Members
  • PipPip
  • 71 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 06 January 2010 - 04:50 PM

nếu thấy hay và muốn dùng lisp thì liên lạc với mình mình sẽ cung cấp tên lênh cho,nếu không hay cũng cho y kiến nha.nick mình nè(thonghoang_bmt@yahoo.com.vn)
  • -1

#22 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 06 January 2010 - 04:51 PM

mình có cái lisp tính diện tích này,mấy bạn dùng thử nha,có rất nhiều lênh,tính diện tích thì đánh dt0( bấm vào vùng kín) dt(bấm vào polyline kín). nếu thấy hay,cảm ơn nhó cảm ơn mình nha,http://www.cadviet.com/upfiles/2/pro.rar

bạn cho file đuôi FAS làm sao mà sửa?lệnh DT trùng với lệnh DText mà?
  • 0

#23 thonghoang1

thonghoang1

    biết vẽ polygon

  • Members
  • PipPip
  • 71 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 06 January 2010 - 04:59 PM

tại bạn đã đổi lênh dtext lệnh tắt của nó là dt thì giò bạn đổi lênh dtext là dt1 chẳng hạn,để sử dựng thử lệnh của mình đấy mà,còn không thì bạn dùng lệnh dt0 đi,có lẽ không trùng
  • 0

#24 thonghoang1

thonghoang1

    biết vẽ polygon

  • Members
  • PipPip
  • 71 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 06 January 2010 - 05:03 PM

vùng kín tức là vùng mà bạn muốn tính diện tích đây,
  • 0

#25 thonghoang1

thonghoang1

    biết vẽ polygon

  • Members
  • PipPip
  • 71 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 06 January 2010 - 05:24 PM

có ai dùng được chưa
  • 0

#26 CDung_k47

CDung_k47

    biết vẽ pline

  • Members
  • PipPip
  • 65 Bài viết
Điểm đánh giá: 36 (tàm tạm)

Đã gửi 06 January 2010 - 07:09 PM

Mình gõ lệnh dt va dt0 cũng không có cái nào chạy được cả?
  • 0

#27 thonghoang1

thonghoang1

    biết vẽ polygon

  • Members
  • PipPip
  • 71 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 06 January 2010 - 09:30 PM

cái nào nó cũng chạy được hết,mình text thử rồi,mà mình cũng dùng hằng ngày đấy mà,có thể nó báo cái lổi gì đấy bạn nói lổi mình sẽ hướng dẫn cho
  • 0

#28 thonghoang1

thonghoang1

    biết vẽ polygon

  • Members
  • PipPip
  • 71 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 06 January 2010 - 09:36 PM

ặc ặc nhầm,để mình gởi lại file nha,mình gởi nhầm(http://www.cadviet.c.../2/progam05.rar),mọi ngưòi thử lại nha,tên lệnh là dt,dt0 giống nhử mình đã hướng dẫn ở trên nha
  • 0

#29 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 07 January 2010 - 12:09 AM

ko dùng dc!khó dùng wa!bạn chỉ cụ thể đi!
  • 0

#30 thonghoang1

thonghoang1

    biết vẽ polygon

  • Members
  • PipPip
  • 71 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 07 January 2010 - 08:43 AM

khó quá là khó chổ nào vậy bạn,để hướng dẩn nha:bạn quánh lệnh(dt hoặc dt0) đối với dt0 thì bấm vào vùng kín,dt thì bấm vào đường kép kín,nếu thấy hiện lên dòng chữ .....text<0> tức là không có chiều cao chử.quánh lệnh st để chỉnh chiều cao chữ,rồi ok thế là xong,
  • 0

#31 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 13 January 2010 - 01:34 AM

vùng kín là vùng tam giac cùa phụ nữ á

vùng tam giac cùa phụ nữ là vùng nào ạ??
:cheers:
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#32 amateurday

amateurday

    biết lệnh break

  • Members
  • PipPipPipPip
  • 228 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 13 January 2010 - 09:25 AM

vẽ hình dt bằng 9, đơn vị trong cad là mm. thế mà lại ra là 0,0009m2. vậy là sai rồi
  • 0

#33 thonghoang1

thonghoang1

    biết vẽ polygon

  • Members
  • PipPip
  • 71 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 14 January 2010 - 08:30 PM

trước khi bạn nói lisp mình sai thì bạn phải kiểm tra lại trưóc khi đưa ra kết luận:giờ bạn mở acad ra và bạn vẽ một hình chữ nhật đúng 1m2 xem,sau đó dùng lệnh của mình,xem thử nó như thế nào,mình đã dùng cái lisp này để tính cho cả 100 ct rồi đấy bạn thử lại nha
  • 0

#34 daknong

daknong

    biết vẽ ellipse

  • Members
  • PipPip
  • 54 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 12 March 2010 - 10:15 AM

Cám ơn bác Hoanh nhé, yêu cầu của em đã được đáp ứng. Diễn đàn Cadviet rất có ích cho những cư dân dùng AutoCad. Năm mới, em chúc bác mạnh khỏe, thành đạt và hạnh phúc trong cuộc sống.

chuc cả nhà mạnh khoẻ
cám ơn cad việt lần nữa
  • 0

#35 huy1339

huy1339

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 March 2010 - 09:35 PM

Chào bạn!
Lisp của bạn đưa ra rất tiện ích,nhưng trong công việc mịnh làm nhiều lúc cần phải nhân diện tích thực với một hệ số.Nên mình cần một lisp với như sau:
-Chọn hệ số n.
-Chọn vùng cần tính diện tích bằng cách ping điểm.
-ED kết quả vào text được chọn.
  • 0

#36 huy1339

huy1339

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 March 2010 - 09:39 PM

Lệnh UDT (Update diện tích) dưới đây sẽ làm điều bạn muốn:

(defun c:udt(/ ss tong ham tmp tt)
(setq
ss (ssget '((-4 . "")))
tong 0.0
ham (lambda (x) (command ".area" "o" x) (setq tong (+ tong (getvar "area"))))
tmp (mapcar 'ham (ss2ent ss))
tt (entget (car (entsel "\nChon text ket qua: ")))
tong (vl-string-right-trim "." (vl-string-right-trim "0" (rtos tong)))
)
(entmod (subst (cons 1 tong) (assoc 1 tt) tt))
)

(defun ss2ent(ss / sodt index lstent)
(setq
sodt (if ss (sslength ss) 0)
index 0
)
(repeat sodt
(setq ent (ssname ss index)
index (1+ index)
lstent (cons ent lstent)
)
)
(reverse lstent)
)
(princ "\nUpdate Area - free lisp from cadviet.com")
(princ "\nUse UDT command to start!")
(vl-load-com)

Chào cao thủ Cadviet!
Lisp của bạn đưa ra rất tiện ích,nhưng trong công việc mình làm nhiều lúc cần phải nhân diện tích thực với một hệ số.Nên mình cần một lisp với như sau:
-Chọn hệ số n.
-Chọn vùng cần tính diện tích bằng cách ping điểm.
-ED kết quả vào text được chọn.
Rất mong pác giúp đỡ.thanks!
  • 0

#37 queen2k8

queen2k8

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 April 2010 - 09:42 AM

Lệnh UDT (Update diện tích) dưới đây sẽ làm điều bạn muốn:

(defun c:udt(/ ss tong ham tmp tt)
(setq
ss (ssget '((-4 . "")))
tong 0.0
ham (lambda (x) (command ".area" "o" x) (setq tong (+ tong (getvar "area"))))
tmp (mapcar 'ham (ss2ent ss))
tt (entget (car (entsel "\nChon text ket qua: ")))
tong (vl-string-right-trim "." (vl-string-right-trim "0" (rtos tong)))
)
(entmod (subst (cons 1 tong) (assoc 1 tt) tt))
)

(defun ss2ent(ss / sodt index lstent)
(setq
sodt (if ss (sslength ss) 0)
index 0
)
(repeat sodt
(setq ent (ssname ss index)
index (1+ index)
lstent (cons ent lstent)
)
)
(reverse lstent)
)
(princ "\nUpdate Area - free lisp from cadviet.com")
(princ "\nUse UDT command to start!")
(vl-load-com)

Mình không tải được.Link bị die rồi.Mình đang rất cần lisp này.Ai có upload giùm.Thanks
  • 0

#38 NguyenNgocSon

NguyenNgocSon

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 368 Bài viết
Điểm đánh giá: 39 (tàm tạm)

Đã gửi 29 October 2010 - 09:57 AM

Lệnh UDT (Update diện tích) dưới đây sẽ làm điều bạn muốn:

Mình có thể thêm tuỳ chọn gì để thực hiện lệnh UDT liên tục ? Không cứ mỗi lần làm lại gõ UDT hơi mất time
  • 0

#39 790312

790312

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 204 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 29 October 2010 - 08:46 PM

Lisp này Tue_NV đã hoàn thành lại theo ý bạn PhuongAnh.
Có 2 lựa chọn cho bạn tính diện tích
1. Tính diện tích theo cách chọn đối tượng
2. Tính diện tích theo cách Pick điểm vào miền kín
Các bạn test lại xem nhé :

Command: udt : gõ lệnh udt
Kich thuoc cua chuong trinh tinh theo don vi mm
Nhap ti le chuyen doi don vi <0.001> :1/1000

Nhap So chu so thap phan <4> :2

Chon doi tuong de tinh dien tich hay Enter de tinh dien tich theo Pick diem
Select objects: -> Nếu ở dòng này bạn chọn đối tượng -> sẽ Tính diện tích theo cách chọn đối tượng
-> Nếu ở dòng này bạn nhấn Enter -> sẽ Tính diện tích theo cách Pick điểm vào miền kín

Code đây : http://www.cadviet.c...files/2/udt.lsp

Lisp này rất hay,nhờ bác Tue sửa giùm bỏ chức năng chọn text kết quả mà nó sẽ tự hiện lên bảng kết quả diện tích và có luôn chu vi.Chân thành cảm ơn bác trước.
  • 0

#40 790312

790312

    biết lệnh fillet

  • Members
  • PipPipPipPip
  • 204 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 01 November 2010 - 08:50 PM

Bác Tue và các cao thủ không giúp được e sao?
  • 0